import { Doc } from '../../view/Doc';
import { CommandPayloadMap } from '../types';
import { CommandBase, PostCommandContext } from '../base/CommandBase';
import { Wtbl } from '../../model/document';
export declare class InsertTable extends CommandBase<'insertTable'> {
    constructor(doc: Doc, payload?: CommandPayloadMap['insertTable']);
    protected createTable(width: number, rowCount?: number, colCount?: number): Wtbl;
    protected execute(): Promise<PostCommandContext>;
}
